Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QFontDatabase.WritingSystem

    java.lang.Object
      java.lang.Enum<QFontDatabase.WritingSystem>
          com.trolltech.qt.gui.QFontDatabase.WritingSystem

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QFontDatabase.WritingSystem>

Enclosing class:
  QFontDatabase

    public static enum QFontDatabase.WritingSystem

extends java.lang.Enum<QFontDatabase.WritingSystem>
implements QtEnumerator

Press link for info on QFontDatabase.WritingSystem

Enum Constant Summary
`Any` Internal.
`Arabic` Internal.
`Armenian` Internal.
`Bengali` Internal.
`Cyrillic` Internal.
`Devanagari` Internal.
`Georgian` Internal.
`Greek` Internal.
`Gujarati` Internal.
`Gurmukhi` Internal.
`Hebrew` Internal.
`Japanese` Internal.
`Kannada` Internal.
`Khmer` Internal.
`Korean` Internal.
`Lao` Internal.
`Latin` Internal.
`Malayalam` Internal.
`Myanmar` Internal.
`Ogham` Internal.
`Oriya` Internal.
`Runic` Internal.
`SimplifiedChinese` Internal.
`Sinhala` Internal.
`Symbol` Internal.
`Syriac` Internal.
`Tamil` Internal.
`Telugu` Internal.
`Thaana` Internal.
`Thai` Internal.
`Tibetan` Internal.
`TraditionalChinese` Internal.
`Vietnamese` Internal.
`WritingSystemsCount` Internal.

Method Summary
`static QFontDatabase.WritingSystem` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QFontDatabase.WritingSystem` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QFontDatabase.WritingSystem[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Any

    public static final QFontDatabase.WritingSystem Any

  Internal.

### Latin

    public static final QFontDatabase.WritingSystem Latin

  Internal.

### Greek

    public static final QFontDatabase.WritingSystem Greek

  Internal.

### Cyrillic

    public static final QFontDatabase.WritingSystem Cyrillic

  Internal.

### Armenian

    public static final QFontDatabase.WritingSystem Armenian

  Internal.

### Hebrew

    public static final QFontDatabase.WritingSystem Hebrew

  Internal.

### Arabic

    public static final QFontDatabase.WritingSystem Arabic

  Internal.

### Syriac

    public static final QFontDatabase.WritingSystem Syriac

  Internal.

### Thaana

    public static final QFontDatabase.WritingSystem Thaana

  Internal.

### Devanagari

    public static final QFontDatabase.WritingSystem Devanagari

  Internal.

### Bengali

    public static final QFontDatabase.WritingSystem Bengali

  Internal.

### Gurmukhi

    public static final QFontDatabase.WritingSystem Gurmukhi

  Internal.

### Gujarati

    public static final QFontDatabase.WritingSystem Gujarati

  Internal.

### Oriya

    public static final QFontDatabase.WritingSystem Oriya

  Internal.

### Tamil

    public static final QFontDatabase.WritingSystem Tamil

  Internal.

### Telugu

    public static final QFontDatabase.WritingSystem Telugu

  Internal.

### Kannada

    public static final QFontDatabase.WritingSystem Kannada

  Internal.

### Malayalam

    public static final QFontDatabase.WritingSystem Malayalam

  Internal.

### Sinhala

    public static final QFontDatabase.WritingSystem Sinhala

  Internal.

### Thai

    public static final QFontDatabase.WritingSystem Thai

  Internal.

### Lao

    public static final QFontDatabase.WritingSystem Lao

  Internal.

### Tibetan

    public static final QFontDatabase.WritingSystem Tibetan

  Internal.

### Myanmar

    public static final QFontDatabase.WritingSystem Myanmar

  Internal.

### Georgian

    public static final QFontDatabase.WritingSystem Georgian

  Internal.

### Khmer

    public static final QFontDatabase.WritingSystem Khmer

  Internal.

### SimplifiedChinese

    public static final QFontDatabase.WritingSystem SimplifiedChinese

  Internal.

### TraditionalChinese

    public static final QFontDatabase.WritingSystem TraditionalChinese

  Internal.

### Japanese

    public static final QFontDatabase.WritingSystem Japanese

  Internal.

### Korean

    public static final QFontDatabase.WritingSystem Korean

  Internal.

### Vietnamese

    public static final QFontDatabase.WritingSystem Vietnamese

  Internal.

### Symbol

    public static final QFontDatabase.WritingSystem Symbol

  Internal.

### Ogham

    public static final QFontDatabase.WritingSystem Ogham

  Internal.

### Runic

    public static final QFontDatabase.WritingSystem Runic

  Internal.

### WritingSystemsCount

    public static final QFontDatabase.WritingSystem WritingSystemsCount

  Internal.

Method Detail

### values

    public static final QFontDatabase.WritingSystem[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QFontDatabase.WritingSystem c : QFontDatabase.WritingSystem.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QFontDatabase.WritingSystem valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QFontDatabase.WritingSystem resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD